Bug 804084 - uninstall fails if python-zope-interface is also removed
uninstall fails if python-zope-interface is also removed
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: python-twisted-words (Show other bugs)
el5
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 09:55 EDT by Greg Swift
Modified: 2017-04-06 06:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full yum output (13.46 KB, text/plain)
2012-03-16 09:55 EDT, Greg Swift
no flags Details

  None (edit)
Description Greg Swift 2012-03-16 09:55:27 EDT
Created attachment 570611 [details]
Full yum output

Description of problem:
uninstall of rpm displays a traceback error, and package doesn't get removed

Version-Release number of selected component (if applicable):
0.5.0-3.el5

How reproducible:
performed on 2 boxes with same results

Steps to Reproduce:
1. yum install python-twisted-words
2. yum remove python-twisted-words python-zope-interface

Actual results:
Traceback (most recent call last):
  File "/usr/libexec/twisted-dropin-cache", line 13, in ?
    from twisted.plugin import IPlugin, getCache
  File "/usr/lib64/python2.4/site-packages/twisted/__init__.py", line 22, in ?
    raise ImportError("you need zope.interface installed "
ImportError: you need zope.interface installed (http://zope.org/Products/ZopeInterface/)



Expected results:
  Erasing        : python-twisted-words                           2/7

Additional info:
I found this by removing all the dependencies at the same time.  If i just remove the python-twisted-words package it uninstalls fine.
Comment 1 Greg Swift 2012-03-16 10:00:10 EDT
While the full output shows errors with the python-twisted-{names,web} packages, if the process is performed without python-twisted-words then python-twisted-names will install/uninstall fine.  However, python-twisted-web will also fail.

Running Transaction
  Erasing        : python-zope-interface                                                                                                                                            1/6
  Erasing        : python-twisted-core                                                                                                                                              2/6
  Erasing        : SOAPpy                                                                                                                                                           3/6
  Erasing        : python-fpconst                                                                                                                                                   4/6
  Erasing        : python-twisted-web                                                                                                                                               5/6
  Erasing        : python-twisted-names                                                                                                                                             6/6
error: %postun(python-twisted-web-0.7.0-1.el5.x86_64) scriptlet failed, exit status 255

Removed:
  SOAPpy.noarch 0:0.11.6-12.el5               python-fpconst.noarch 0:0.7.3-3.el5.1           python-twisted-core.x86_64 0:2.5.0-4.el5     python-twisted-names.x86_64 0:0.3.0-3.el5
  python-twisted-web.x86_64 0:0.7.0-1.el5     python-zope-interface.x86_64 0:3.0.1-11.el5

Complete!
[root@eider ~]# rpm -qa | grep python-twi
python-twisted-names-0.3.0-3.el5
python-twisted-web-0.7.0-1.el5
Comment 2 Fedora End Of Life 2017-04-06 06:07:06 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.